Test connection of existing connector.
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/connectors/testConnection/{connectorId} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/connectors/testConnection/{connectorId}"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/connectors/testConnection/{connectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connected": true,
"encryption": "<string>",
"encryptionMessage": "<string>",
"errorCode": "<string>",
"errorDesc": "<string>",
"errorMessage": "<string>",
"errorTitle": "<string>",
"languages": [
{
"cloudLocale": "<string>",
"id": 123,
"metadata": {},
"remoteLocale": "<string>",
"source": true,
"uid": "<string>"
}
],
"localToken": "<string>",
"marketoMetadata": {
"segmentationList": [
{
"id": 123,
"name": "<string>",
"segmentList": [
{
"id": 123,
"name": "<string>"
}
]
}
],
"segmentationMapping": {
"segmentationId": 123,
"segmentsMapping": [
{
"locale": "<string>",
"segmentId": 123,
"source": true
}
]
}
},
"sites": [
{
"code": "<string>",
"id": "<string>",
"source": true,
"title": "<string>"
}
],
"sitesStructure": {
"websites": [
{
"id": 123,
"name": "<string>",
"stores": [
{
"id": 123,
"name": "<string>",
"views": [
{
"default": true,
"id": 123,
"language": "<string>",
"name": "<string>"
}
]
}
]
}
]
},
"sourceLanguage": "<string>",
"targetLanguages": [
"<string>"
],
"targetLanguagesString": "<string>"
}{
"message": "<string>",
"status": "<string>"
}{
"message": "<string>",
"status": "<string>"
}Connector
Test connection of existing connector.
Test connection for provided connector id. Requires ADMIN, PROJECT_MANAGER, LINGUIST, or SUBMITTER role.
POST
/
api2
/
v1
/
connectors
/
testConnection
/
{connectorId}
Test connection of existing connector.
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Internal numeric ID of the connector
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I